%define name xsane
%define version 0.72
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Xsane is a frontend for the scanner program sane
Group:		Graphics
URL:		http://www.xsane.org/
Source:		http://www.xsane.org/download/%name-%version.tar.bz2
License:	GPL
Requires:	sane >= 1.0.4
BuildRequires:	gtk+ >= 1.2.0, libsane1-devel 
# , libgimp1.2_1-devel
# yves 0.72-1mdk as i put --disable-gimp so no more needed 
Buildroot:	%_tmppath/%name-%version-%release-root

%description
Xsane is a graphical frontend for sane. Install this if you want a graphical
frontend for sane for use in the X Windowing System.

%prep
%setup -q 

%build
# yves 0.72-1mdk do not want to build with gimp 1.2 and my patch was too ugly...
%configure  --disable-gimp
%make

%install
%makeinstall
%find_lang %{name}
# added by yves 0.72-1mdk : i need first to do some icons ...
#cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/xsane
#?package(xbase):command="/usr/bin/xsane" icon="xbase.xpm" \
#	needs="X11" section="Applications/Editors" title="XSane" \
#	longtitle="Xsane is a frontend for the scanner program sane"
#EOF

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc xsane*
%_bindir/xsane
%dir %_datadir/sane
%_datadir/sane/*
%_mandir/man1/*
 
%changelog
* Tue Mar 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.72-1mdk
- use spec file from cvs since SRPMS disappear
- updated to version 0.72
- spec clean up
- fix buildRequires
- URL: tag updated
- added the local l10n files

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 0.69-2mdk
- Fix buildRequires
- Fix Requires
- Clean %%files section
- Spec clean up

* Mon Jan 01 2001 Daouda Lo <daouda@mandrakesoft.com> 0.69-1mdk
- release 

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.68-1mdk
- updated to 0.68

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.65-1mdk
- updated to 0.65

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.64-1mdk
- new and shiny version.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.63-1mdk
- new and shiny version.

* Sat Jul 15 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.60-1mdk
- new version
- macrosifications

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.57-2mdk
- fix group

* Thu Mar 16 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- first release for mandrake
